function switchEdit(el) {
    if (!el.classList.contains('time-to-edit')) {
        el.classList.add('time-to-edit')
    } else {
        el.classList.remove('time-to-edit')
    }
}

// function commentSwitcher() {
//     let comments = document.querySelectorAll('section.comments article.comment')
//     comments.forEach(comment => comment
//         .querySelectorAll('.comment-head .control-edit')
//         .forEach(el => el
//             .addEventListener('click', ev => switchEdit(comment))
//             )
//         )
//         // comment.target.closest('form.editingable')
// }

// function mgmtSwitcher() {
//     let rows = document.querySelectorAll("section.management-table tbody > tr")
//     rows.forEach(row => row
//         .querySelectorAll('label.to-edit, label.to-close')
//         .forEach(el => el
//             .addEventListener('click', ev => switchEdit(row))
//             )
//         )
// }

// commentSwitcher()
// mgmtSwitcher()

function toggleSwitcher(rootSelector, triggerSelector) {
    let rootelements = document.querySelectorAll(rootSelector)
    rootelements.forEach(rootelement => rootelement
        .querySelectorAll(triggerSelector)
        .forEach(el => el
            .addEventListener('click', ev => switchEdit(rootelement))
        )
    )
}

function doubleclickSwitcher(rootSelector, triggerSelector, dblSelector) {
    let rootelements = document.querySelectorAll(rootSelector)
    rootelements.forEach(rootelement => {
        rootelement
            .querySelectorAll(triggerSelector)
            .forEach(el => el
                .addEventListener('click', ev => switchEdit(rootelement))
            )
        rootelement
            .querySelectorAll(dblSelector)
            .forEach(el => el
                .addEventListener('dblclick', ev => switchEdit(rootelement))
            )
    })
}

toggleSwitcher('article.comment', '.comment-head .control-edit', '.comment-content')
doubleclickSwitcher('section.management-table tbody > tr', 'label.to-edit, label.to-close', '.notedit')

document.querySelectorAll('.jsoff-show, .jsoff-hide').forEach(el => el.classList.remove('jsoff-show', 'jsoff-hide'))